directories
  '*.dmf' = 'C:\Program Files\Control Web 2000\Dmf';
  '*.par' = 'C:\Program Files\Control Web 2000\Par';
  '*.ICO' = 'C:\Program Files\Control Web 2000\ico';
end_directories;

settings
  operation_mode = real_time;
  input_timeout = 2;
  output_timeout = 2;
  time_error_limit = 2;
  paint_time_limit = 2;
  skip_init_procedures = true;
end_settings;

const
end_const;

var
end_var;

driver
  pct = 'cw_pct3212.dll', 'Pct3212.dmf', 'Pct3212.par';
end_driver;

channel
  k0 = longcard, 0, pct, input;
  k1 = longcard, 1, pct, input;
  k12 = longcard, 12, pct, input;
  k2 = longcard, 2, pct, input;
  k24 = longcard, 24, pct, input;
  k3 = longcard, 3, pct, input;
  k36 = longcard, 36, pct, output, 0;
  k37 = longcard, 37, pct, output, 0;
  k38 = longcard, 38, pct, output, 0;
  k39 = longcard, 39, pct, output, 64;
  k4 = longcard, 4, pct, input;
  k40 = longcard, 40, pct, output, 64;
  k41 = longcard, 41, pct, output, 64;
  k42 = longcard, 42, pct, output, 64;
  k43 = longcard, 43, pct, output, 64;
  k44 = longcard, 44, pct, output, 64;
  k45 = longcard, 45, pct, output, 64;
  k46 = longcard, 46, pct, output, 64;
  k47 = longcard, 47, pct, output, 64;
  k48 = longcard, 48, pct, input;
  k49 = longcard, 49, pct, input;
  k5 = longcard, 5, pct, input;
  k50 = longcard, 50, pct, output, 0;
  k51 = longcard, 51, pct, input;
  k53 = longcard, 53, pct, input;
  k6 = longcard, 6, pct, input;
  k7 = longcard, 7, pct, input;
  k72 = longcard, 72, pct, input;
  k80 = boolean, 80, pct, input;
  k81 = boolean, 81, pct, input;
  k82 = boolean, 82, pct, input;
  k83 = boolean, 83, pct, input;
  k84 = boolean, 84, pct, input;
  k85 = boolean, 85, pct, input;
  k86 = boolean, 86, pct, input;
  k87 = boolean, 87, pct, input;
  k88 = longcard, 88, pct, input;
  k90 = boolean, 90, pct, output, false;
  k91 = boolean, 91, pct, output, false;
  k92 = boolean, 92, pct, output, false;
  k93 = boolean, 93, pct, output, false;
  k94 = boolean, 94, pct, output, false;
  k95 = boolean, 95, pct, output, false;
  k96 = boolean, 96, pct, output, false;
  k97 = boolean, 97, pct, output, true;
  k98 = longcard, 98, pct, output, 64;
  k_CNT =  array[ 0..11 ] of longcard, pct, input;
  k_CNTIN =  array[ 60..71 ] of boolean, pct, input;
  k_RT =  array[ 12..23 ] of longcard, pct, input;
  k_T =  array[ 24..35 ] of longcard, pct, input;
end_channel;

timer
end_timer;

instrument

  window panel backpane;
    rem = 'hlavn panel aplikace';
    owner = background;
    position = 3, 21, 1018, 716;
    win_disable = zoom;
    win_title = 'pct3212';
    visibility = false;
  end_panel;

  control control_1;
    owner = backpane;
    position = 672, 329, 85, 20;
    send_same_data;
    output = k47;
    mode = edit_box;
    content = max;
    range_to = 4294967295;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 672, 309, 85, 20;
    send_same_data;
    output = k46;
    mode = edit_box;
    content = max;
    range_to = 4294967295;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 672, 289, 85, 20;
    send_same_data;
    output = k45;
    mode = edit_box;
    content = max;
    range_to = 4294967295;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 672, 269, 85, 20;
    send_same_data;
    output = k44;
    mode = edit_box;
    content = max;
    range_to = 4294967295;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 672, 249, 85, 20;
    send_same_data;
    output = k43;
    mode = edit_box;
    content = max;
    range_to = 4294967295;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 672, 229, 85, 20;
    send_same_data;
    output = k42;
    mode = edit_box;
    content = max;
    range_to = 4294967295;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 672, 209, 85, 20;
    send_same_data;
    output = k41;
    mode = edit_box;
    content = max;
    range_to = 4294967295;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 672, 189, 85, 20;
    send_same_data;
    output = k40;
    mode = edit_box;
    content = max;
    range_to = 4294967295;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 672, 169, 85, 20;
    send_same_data;
    output = k39;
    mode = edit_box;
    content = max;
    range_to = 4294967295;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 672, 149, 85, 20;
    send_same_data;
    output = k38;
    mode = edit_box;
    content = max;
    range_to = 4294967295;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 672, 129, 85, 20;
    send_same_data;
    output = k37;
    mode = edit_box;
    content = max;
    range_to = 4294967295;
    dec_places = 0;
  end_control;

  label label_1;
    owner = backpane;
    position = 672, 89;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'pednastaven';
  end_label;

  control control_1;
    owner = backpane;
    position = 672, 109, 85, 20;
    send_same_data;
    output = k36;
    mode = edit_box;
    content = max;
    range_to = 4294967295;
    dec_places = 0;
  end_control;

  label label_1;
    owner = backpane;
    position = 12, 464;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'Status karty';
  end_label;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 127, 459, 90, 20;
    expression = k53;
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  label label_1;
    owner = backpane;
    position = 302, 19;
    font = 'MS Sans Serif (Central European)', 24, bold;
    text = 'PCT-3212';
  end_label;

  label label_1;
    owner = backpane;
    position = 12, 334;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'CNT11';
  end_label;

  label label_1;
    owner = backpane;
    position = 287, 434;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'Digitln vstupy';
  end_label;

  label label_1;
    owner = backpane;
    position = 287, 409;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'Digitln vstupy';
  end_label;

  label label_1;
    owner = backpane;
    position = 12, 444;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'Registr ST_ERR';
  end_label;

  label label_1;
    owner = backpane;
    position = 12, 424;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'Poet watchdog';
  end_label;

  label label_1;
    owner = backpane;
    position = 12, 404;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'asova provozu';
  end_label;

  label label_1;
    owner = backpane;
    position = 522, 89;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'stav vstupu';
  end_label;

  label label_1;
    owner = backpane;
    position = 402, 89;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'asova';
  end_label;

  label label_1;
    owner = backpane;
    position = 247, 89;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'zchytn registr';
  end_label;

  label label_1;
    owner = backpane;
    position = 132, 89;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'ta';
  end_label;

  label label_1;
    owner = backpane;
    position = 12, 314;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'CNT10';
  end_label;

  label label_1;
    owner = backpane;
    position = 12, 294;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'CNT9';
  end_label;

  label label_1;
    owner = backpane;
    position = 12, 274;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'CNT8';
  end_label;

  label label_1;
    owner = backpane;
    position = 12, 254;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'CNT7';
  end_label;

  label label_1;
    owner = backpane;
    position = 12, 234;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'CNT6';
  end_label;

  label label_1;
    owner = backpane;
    position = 12, 214;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'CNT5';
  end_label;

  label label_1;
    owner = backpane;
    position = 12, 194;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'CNT4';
  end_label;

  label label_1;
    owner = backpane;
    position = 12, 174;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'CNT3';
  end_label;

  label label_1;
    owner = backpane;
    position = 12, 154;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'CNT2';
  end_label;

  label label_1;
    owner = backpane;
    position = 12, 134;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'CNT1';
  end_label;

  label label_1;
    owner = backpane;
    position = 12, 114;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'CNT0';
  end_label;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 577, 329, 50, 20;
    expression = k72;
    mode = text_display;
    range_to = 10000;
    low_limit = 0;
    high_limit = 255;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 547, 334;
    expression = k_CNTIN[ 71 ];
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 547, 314;
    expression = k_CNTIN[ 70 ];
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 547, 294;
    expression = k_CNTIN[ 69 ];
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 547, 274;
    expression = k_CNTIN[ 68 ];
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 547, 254;
    expression = k_CNTIN[ 67 ];
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 547, 234;
    expression = k_CNTIN[ 66 ];
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 547, 214;
    expression = k_CNTIN[ 65 ];
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 547, 194;
    expression = k_CNTIN[ 64 ];
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 547, 174;
    expression = k_CNTIN[ 63 ];
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 547, 154;
    expression = k_CNTIN[ 62 ];
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 547, 134;
    expression = k_CNTIN[ 61 ];
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 547, 114;
    expression = k_CNTIN[ 60 ];
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 127, 439, 90, 20;
    expression = k51;
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 127, 419, 90, 20;
    expression = k49;
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 127, 399, 90, 20;
    expression = k48;
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 387, 329, 90, 20;
    expression = k_T[ 35 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 387, 309, 90, 20;
    expression = k_T[ 34 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 387, 289, 90, 20;
    expression = k_T[ 33 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 387, 269, 90, 20;
    expression = k_T[ 32 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 387, 249, 90, 20;
    expression = k_T[ 31 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 387, 229, 90, 20;
    expression = k_T[ 30 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 387, 209, 90, 20;
    expression = k_T[ 29 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 387, 189, 90, 20;
    expression = k_T[ 28 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 387, 169, 90, 20;
    expression = k_T[ 27 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 387, 149, 90, 20;
    expression = k_T[ 26 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 387, 129, 90, 20;
    expression = k_T[ 25 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 247, 329, 90, 20;
    expression = k_RT[ 23 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 247, 309, 90, 20;
    expression = k_RT[ 22 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 247, 289, 90, 20;
    expression = k_RT[ 21 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 247, 269, 90, 20;
    expression = k_RT[ 20 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 247, 249, 90, 20;
    expression = k_RT[ 19 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 247, 229, 90, 20;
    expression = k_RT[ 18 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 247, 209, 90, 20;
    expression = k_RT[ 17 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 247, 189, 90, 20;
    expression = k_RT[ 16 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 247, 169, 90, 20;
    expression = k_RT[ 15 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 247, 149, 90, 20;
    expression = k_RT[ 14 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 247, 129, 90, 20;
    expression = k_RT[ 13 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 387, 109, 90, 20;
    expression = k_T[ 24 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 247, 109, 90, 20;
    expression = k_RT[ 12 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 107, 329, 90, 20;
    expression = k_CNT[ 11 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 107, 309, 90, 20;
    expression = k_CNT[ 10 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 107, 289, 90, 20;
    expression = k_CNT[ 9 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 107, 269, 90, 20;
    expression = k_CNT[ 8 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 107, 249, 90, 20;
    expression = k_CNT[ 7 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 107, 229, 90, 20;
    expression = k_CNT[ 6 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 107, 209, 90, 20;
    expression = k_CNT[ 5 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 107, 189, 90, 20;
    expression = k_CNT[ 4 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 107, 169, 90, 20;
    expression = k_CNT[ 3 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 107, 149, 90, 20;
    expression = k_CNT[ 2 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 107, 129, 90, 20;
    expression = k_CNT[ 1 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 107, 109, 90, 20;
    expression = k_CNT[ 0 ];
    mode = text_display;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  control control_3;
    owner = backpane;
    position = 577, 429, 50, 18;
    send_same_data;
    output = k98;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 577, 399, 50, 20;
    expression = k88;
    mode = text_display;
    range_to = 255;
    low_limit = 0;
    high_limit = 255;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 10, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  switch switch_1;
    owner = backpane;
    position = 402, 429, 21, 21;
    send_same_data;
    output = k97;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_1;
    owner = backpane;
    position = 422, 429, 21, 21;
    send_same_data;
    output = k96;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_1;
    owner = backpane;
    position = 442, 429, 21, 21;
    send_same_data;
    output = k95;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_1;
    owner = backpane;
    position = 462, 429, 21, 21;
    send_same_data;
    output = k94;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_1;
    owner = backpane;
    position = 482, 429, 21, 21;
    send_same_data;
    output = k93;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_1;
    owner = backpane;
    position = 502, 429, 21, 21;
    send_same_data;
    output = k92;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_1;
    owner = backpane;
    position = 522, 429, 21, 21;
    send_same_data;
    output = k91;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 402, 404;
    expression = k87;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 422, 404;
    expression = k86;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 442, 404;
    expression = k85;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 462, 404;
    expression = k84;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 482, 404;
    expression = k83;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 502, 404;
    expression = k82;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 522, 404;
    expression = k81;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 542, 404;
    expression = k80;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  switch switch_1;
    owner = backpane;
    position = 542, 429, 21, 21;
    send_same_data;
    output = k90;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  program startup;
    
    procedure OnActivate();
    begin
      backpane.NewRect( WorkX, WorkY, WorkW, WorkD );
      backpane.Show();
      backpane.Select();
    end_procedure;
    
  end_program;

end_instrument;

